using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 导入配置
    /// </summary>
    [Description("导入配置")]
	[IgnoreT4]public class T_FM_IMPORT_CONFIG : MesEntityBase
	{
		/// <summary>编码</summary>
		[CUnique]
		[Description("编码")]
		public string CODE { get; set; }

		/// <summary>
		/// 名称
		/// </summary>
		[Description("名称")]
        [AcronymField("NAME_ACRONYM")]
        public string NAME { get; set; }
        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("名称首字母缩写")]
        public string NAME_ACRONYM { get; set; }
        /// <summary>
        /// 保存API
        /// </summary>
        [Description("保存URL路径")]
		public string API_URL { get; set; }


		/// <summary>
		/// 主表 表名
		/// </summary>
		[Description("表名")]
		public string TABLE_NAME { get; set; }

		/// <summary>
		/// 编辑表单编号
		/// </summary>
		[Description("编辑表单编号")]
		public string EDIT_FORM_CODE { get; set; }


		/// <summary>
		/// FMEnableStatusEnum
		/// </summary>
		[Description("启用标志")]
		[EnumName("FMEnableStatusEnum")]
		public int ENABLE_STATUS { get; set; }


		[Description("备注")]
		public string REMARK { get; set; }

        [Description("导航：导入配置明细")]
        public virtual ICollection<T_FM_IMPORT_CONFIG_DETAIL> Nav_Details { get; set; }

		[Description("源ID")]
		public Guid? SRC_ID { get; set; }

	}
}
